Bug 108705 - CRASH: LibreOffice crashes while pressing esc after a popup has been displayed (gtk3)
Summary: CRASH: LibreOffice crashes while pressing esc after a popup has been displaye...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.0.0 target:5.4.0.2 target:5.3.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2017-06-23 01:23 UTC by Xisco Faulí
Modified: 2017-06-29 20:21 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-06-23 01:23:39 UTC
Steps to reproduce:
1. Open attachment 134188 [details] from bug 108673
2. Double click on B1 -> cursor is displayed
3. Click on the dropdown list icon
4. Press ESC key 3-4 times
5. Crash

Reproduced in

Version: 6.0.0.0.alpha0+
Build ID: 08f6f9dded1b142b858c455da03319abac691655
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2017-06-23 01:26:19 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2016-07-07 09:39:00 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2016-07-07 15:57:01 (GMT)
commit	6b9f42ea1dc0926bc445982ad57bf93561f1bd03 (patch)
tree	1ba078e3eeacabd4f0560b4ca48b10701b149898
parent	fb045517532aababc06fb4b1112def53b03d9144 (diff)
Resolves: rhbz#1351224 wayland grab related crashes
only one popup active at a time. Try and find the right path through the
uncanny valley which allows popups to appear, to get all mouse input that
happens to them, forward keyboard input to their parents, dismiss when the
mouse is clicked outside them and not crash if another popup wants to appear
to replace it

Bisected with bibisect-linux-64-5.3

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2017-06-23 14:09:59 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b32355ea6d8d5e34363ba0c57e74d75d7a7b1b7

Resolves: tdf#108705 remove grabs on widget before destroying it

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2017-06-23 14:13:02 UTC
backports for 5-4 and 5-3 in gerrit
Comment 4 Commit Notification 2017-06-23 20:14:09 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c50ad28cea076d44c863c2b554d909235554cba0&h=libreoffice-5-4

Resolves: tdf#108705 remove grabs on widget before destroying it

It will be available in 5.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-06-23 20:14:18 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d8677b79fedda8a13f560e1a9a7ca8b36642366b&h=libreoffice-5-3

Resolves: tdf#108705 remove grabs on widget before destroying it

It will be available in 5.3.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-06-29 12:04:41 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=637d917d7551fed19c9685f974fb3e732a8f97e2

Don't let m_nGrabLevel become negative, tdf#108705 related

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Eike Rathke 2017-06-29 12:16:55 UTC
Follow-up pending review
https://gerrit.libreoffice.org/39387 for 5-4
https://gerrit.libreoffice.org/39388 for 5-3
Comment 8 Commit Notification 2017-06-29 20:21:38 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5eec9409f10d1a08c826edb689eefb86240b7b25&h=libreoffice-5-3

Don't let m_nGrabLevel become negative, tdf#108705 related

It will be available in 5.3.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2017-06-29 20:21:44 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1c32dedb3d6931079a3903a64300a1fad4548556&h=libreoffice-5-4

Don't let m_nGrabLevel become negative, tdf#108705 related

It will be available in 5.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.